Skip to main content
`Ctrl`+`K`

# PetscViewerPythonSetType

Initialize a `PetscViewer` object implemented in Python.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscViewerPythonSetType(PetscViewer viewer, const char pyname[])

Collective

## Input Parameters

- viewer - the viewer object.

- pyname - full dotted Python name [package].module[.{class|function}]

## Options Database Key

- -viewer_python_type <pyname> - python class

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerType`, `PetscViewerCreate()`, `PetscViewerSetType()`, `PETSCVIEWERPYTHON`, `PetscPythonInitialize()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/python/pythonviewer.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages